      subroutine vinifft(n)
********************************
**** Initialization for vfrcos and vr2cos ********
****   n  <= 2048 ***************
      implicit double precision (a-h,o-z)
      common /wsave/wsave(6165)
      call costi(n+1,wsave)
      return
      end
